sfdp: Graphviz not built with triangulation library

Hi,
I have the following error message while trying to create a graph with the layout "sfdp". The error message is repeated 13 times.

dot mygraph.dot -Tsvg -o mygraph.svg
Error: remove_overlap: Graphviz not built with triangulation library

Changing the graph [layout="sfdp"] line in the dot file by any of dot, neat, fdp, circo or twopi works properly.
Any idea?

I'm running graphviz 2.34 on Mac OS 10.8.5 downloaded as a package, didn't compile myself.

Thanks in advance,
Pierre

Creating a package for the

Creating a package for the graphviz mac app has proved challenging, mostly due to the handling of optional libraries. We were working on fixing this, but the two people involved are gone. If possible, please consider downloading graphviz from macports, or building from the source package. If you want the GUI app, install graphviz-gui from macports.

Recent comments